### Method

# Clutter KeyframeTransition set_values

#### Declaration [src]

    void
    clutter_keyframe_transition_set_values (
      ClutterKeyframeTransition* transition,
      guint n_values,
      const GValue* values
    )

#### Description [src]

Sets the values for each key frame inside `transition`.

If `transition` does not hold any key frame, `n_values` key frames will be created; if `transition` already has key frames, `values` must have at least as many elements as the number of key frames.

#### Parameters

`n_values`

  Type: `guint`

  The number of values.

`values`

  Type: An array of `GValue`

  An array of values, one for each key frame.

  The length of the array is specified in the `n_values` argument.
  The data is owned by the caller of the method.